# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

async_menu_item = items.MenuItem(
    # GENERAL
    _('Task'), 
    reverse('admin:app_list', kwargs={'app_label': 'async'}),
    children=[
        items.MenuItem(
            _('Async'), '',
            children=[
                items.MenuItem(_('Add Task'), reverse('admin:async_task_add',)), 
                items.MenuItem(_('Task List'), reverse('admin:async_task_changelist',)),
            ]
        ),
    ]
)

register_menu(async_menu_item, 'jmb.async')