# -*- coding: utf-8 -*-
"""
Celery legge le variabili direttamente dai settings di Diango. 
Gli `stati ammessi`_ sono definiti da celery. A questi si aggiungono queli definiti
da altri pacchetti, per noi jobtastic_ che aggiunge ``PROGRESS`` con la percentuale 
di avanzamento

.. _`stati ammessi`: http://celery.readthedocs.org/en/latest/reference/celery.states.html
.. _jobtastic: http://policystat.github.io/jobtastic/
"""

#: il broker è il sistema di messaggistica usato per accodare i task che 
#: celery esegue
BROKER_URL='django://'

#: il backend è il sistema con cui vengono cominucati/ispezionati gli stati del task
CELERY_RESULT_BACKEND='djcelery.backends.database:DatabaseBackend'
